p300 switching to Java 1.6?

The Java 1.6 features that p300 currently uses (splashscreen, tray icon) are included in a way so that Java 1.5 will still work.

However, I want to do some things that makes this not possible.

Is anyone still using p300 with Java 1.5? Because there is for example only 1.5 for OS X 10.4. Please tell me.